source /$ZDOTDIR/aliases
source /$ZDOTDIR/options

plugins=(git zsh-autosuggestions zsh-syntax-highlighting you-should-use zsh-bat)

zmodload zsh/complist
bindkey -M menuselect 'h' vi-backward-char
bindkey -M menuselect 'k' vi-up-line-or-history
bindkey -M menuselect 'l' vi-forward-char
bindkey -M menuselect 'j' vi-down-line-or-history

fpath=(/$ZDOTDIR $fpath)
autoload -Uz prompt; prompt 

export MANPATH=$MANPATH:/usr/local/texlive/2025/texmf-dist/doc/man
export INFOPATH=$INFOPATH:/usr/local/texlive/2025/texmf-dist/doc/info
export PATH=$PATH:/usr/local/texlive/2025/bin/x86_64-linux
export LD_PRELOAD=$MKLROOT/lib/intel64/libmkl_rt.so
export OPENBLAS_NUM_THREADS=12
export OMP_NUM_THREADS=12
